function ajaxFileUpload() {
  $("#loading")
  .ajaxStart(function(){
    $(this).show();
  })
  .ajaxComplete(function(){
    $(this).hide();
  });
  var upload_mode = Drupal.settings.ajax_pic_preview.mode;
  var upload_message = Drupal.settings.ajax_pic_preview.upload_message;

  $.ajaxFileUpload({
    url: '/ajax/ajax-pic-preview/' + upload_mode,
    secureuri:false,
    fileElementId:'edit-picture-upload',
    dataType: 'json',
    success: function (data, status){
        if (typeof(data.error) != 'undefined') {
          if (data.error != '') {
            $('#edit-picture-message').html(data.error);
          } else {
            $('#edit-picture-message').html(upload_message);
            if ($('#img-picture').html() == null) {
              $('#edit-picture-delete').before('<div class="picture"><a href="#" title="View user profile."><img src="" id="img-picture"></a></div>');
            }
            $('#img-picture').attr('src', data.img);
          }
        }
      },
    error: function (data, status, e) {
      /*alert(e);*/
    }
  });

  return true;
}

$(document).ready(function() {
  $('#user-profile-form .picture img').attr('id', 'img-picture');
  $('label[for="edit-picture-upload"]').append('<span id="edit-picture-message" class="form-required"></span>');
  $('#edit-picture-upload').change(ajaxFileUpload).after('<span id="loading" style="display:none"><img src="/misc/throbber.gif" /></span>');
});
